org.cpsolver.studentsct.online.expectations

## Enum PercentageOverExpected.Rounding

- java.lang.Object
- - java.lang.Enum<PercentageOverExpected.Rounding>
  - - org.cpsolver.studentsct.online.expectations.PercentageOverExpected.Rounding

- All Implemented Interfaces:
    Serializable, Comparable<PercentageOverExpected.Rounding>
  Enclosing class:
    PercentageOverExpected

      public static enum PercentageOverExpected.Rounding
      extends Enum<PercentageOverExpected.Rounding>

  Expectations rounding

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CEIL` ceiling, using `Math.ceil(double)`
    `FLOOR` floor, using `Math.floor(double)`
    `NONE` no rounding
    `ROUND` rounding, using `Math.round(double)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PercentageOverExpected.Rounding` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PercentageOverExpected.Rounding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PercentageOverExpected.Rounding NONE

      no rounding

    - #### CEIL

          public static final PercentageOverExpected.Rounding CEIL

      ceiling, using `Math.ceil(double)`

    - #### FLOOR

          public static final PercentageOverExpected.Rounding FLOOR

      floor, using `Math.floor(double)`

    - #### ROUND

          public static final PercentageOverExpected.Rounding ROUND

      rounding, using `Math.round(double)`

  - ### Method Detail

    - #### values

          public static PercentageOverExpected.Rounding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PercentageOverExpected.Rounding c : PercentageOverExpected.Rounding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PercentageOverExpected.Rounding valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null